<!---                   WARNING                    --->
<!---        THIS IS AN AUTO-GENERATED FILE        --->
<!---  MANUAL CHANGES CAN AND WILL BE OVERWRITTEN  --->



# Aider Gitea

![Test program/library](https://gitfub.space/Jmaa/aider-gitea/actions/workflows/python-test.yml/badge.svg)

A code automation tool that integrates Gitea with Aider to automatically solve issues.

This program monitors your [Gitea](https://about.gitea.com/) repository for issues with the 'aider' label.
When such an issue is found, it:

1. Creates a new branch.
2. Invokes [Aider](https://aider.chat/) to solve the issue using a Large-Language Model.
3. Runs tests and code quality checks.
4. Creates a pull request with the solution.

## Example Usage

### Command Line

```bash
# Run with default settings
python -m aider_gitea

# Specify custom repository and owner
python -m aider_gitea --owner myorg --repo myproject
```

## Dependencies

This project requires [Python](https://www.python.org/) 3.8 or newer.

All required libraries can be installed easily using:

```bash
pip install -r requirements.txt
```

Full list of requirements:
- [secret_loader](https://gitfub.space/Jmaa/secret_loader)


## Contributing

Feel free to submit pull requests. Please follow the [Code Conventions](CONVENTIONS.md) when doing so.


### Testing

Testing requires the [pytest](https://docs.pytest.org/en/stable/) library.

Run tests with the following command:

```sh
pytest test
```

Test coverage can be run using the [`pytest-cov`](https://pypi.org/project/pytest-cov/) extension:

```sh
pytest --cov=aider_gitea test
```


## License

```
Copyright (c) 2025 Jon Michael Aanes

All rights reserved.
```
